<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.trade.service.sales.mapper.ContractFileMapper">

	<resultMap id="BaseResultMap" type="com.trade.service.sales.domain.ContractFile">
		<id column="contract_no" property="contractNo" />
		<id column="generation_time" property="generationTime" />
		<id column="gmt_create" property="gmtCreate" />
		<id column="gmt_modified" property="gmtModified" />
		<id column="id" property="id" />
		<id column="operator_name" property="operatorName" />
		<id column="sign_file_id" property="signFileId" />
		<id column="sign_file_type" property="signFileType" />
		<id column="sign_flow_id" property="signFlowId" />
		<id column="signed_file_storage_id" property="signedFileStorageId" />
		<id column="unsign_file_storage_id" property="unsignFileStorageId" />
        <id column="deleted" property="deleted" />
	</resultMap>
	<sql id="Base_Column_List">
		contract_no, generation_time, gmt_create, gmt_modified, id, operator_name, sign_file_id, sign_file_type, sign_flow_id, signed_file_storage_id, unsign_file_storage_id, deleted
	</sql>
	
</mapper>